summaryrefslogtreecommitdiff
path: root/etc/etc.pegasos/MAKEDEV
diff options
context:
space:
mode:
authorDale Rahn <drahn@cvs.openbsd.org>2003-10-31 03:57:48 +0000
committerDale Rahn <drahn@cvs.openbsd.org>2003-10-31 03:57:48 +0000
commit915b2657950edec3119cd1bcf7bdd61398aaf0b8 (patch)
tree4c2562377973b2aa948966e5cd187714ed65b5bf /etc/etc.pegasos/MAKEDEV
parenta5c7ba0bd15e01657de771665102a7af85688c19 (diff)
OpenBSD port for the Pegasos I, pegasosppc.com heavily derived from macppc
Diffstat (limited to 'etc/etc.pegasos/MAKEDEV')
-rw-r--r--etc/etc.pegasos/MAKEDEV508
1 files changed, 508 insertions, 0 deletions
diff --git a/etc/etc.pegasos/MAKEDEV b/etc/etc.pegasos/MAKEDEV
new file mode 100644
index 00000000000..302a7684ef4
--- /dev/null
+++ b/etc/etc.pegasos/MAKEDEV
@@ -0,0 +1,508 @@
+#!/bin/sh -
+#
+# THIS FILE AUTOMATICALLY GENERATED. DO NOT EDIT.
+# generated from:
+#
+# OpenBSD: etc.pegasos/MAKEDEV.md,v 1.1.2.1 2003/10/10 17:04:13 drahn Exp
+# OpenBSD: MAKEDEV.mi,v 1.63 2003/10/15 02:01:04 todd Exp
+# OpenBSD: MAKEDEV.sub,v 1.8 2003/06/18 18:08:59 todd Exp
+#
+#
+# Copyright (c) 2001,2002,2003 Todd T. Fries <todd@OpenBSD.org>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+# Device "make" file. Valid arguments:
+# all makes all known devices, including local devices.
+# Tries to make the ``standard'' number of each type.
+# std standard devices
+# fd makes fd/* for the fdescfs
+# local configuration specific devices
+# ramdisk makes all devices for a ramdisk kernel
+# Tapes:
+# st* SCSI tapes
+# Disks:
+# wd* "winchester" disk drives (ST506, IDE, ESDI, RLL, ...)
+# sd* SCSI disks
+# cd* SCSI cdrom drives
+# ch* SCSI media changer
+# vnd* "file" pseudo-disks
+# rd* "rd" pseudo-disks
+# raid* RAIDframe disk devices
+# ccd* concatenated disk devices
+# Console ports:
+# ttyC0 wscons screen 0
+# ttyC-F* wscons virtual consoles
+# wskbd* wscons keyboards
+# wsmouse* wscons mice
+# wsmux wscons keyboard/mouse mux devices
+# Terminal ports:
+# ttyE? Workstation console (framebuffer & keyboard) tty emulators
+# tty[0-7][0-9a-f] NS16x50 serial ports
+# Pseudo terminals:
+# tty* set of 16 slave psuedo terminals
+# pty* set of 16 master pseudo terminals
+# USB devices:
+# usb* Bus control devices used by usbd for attach/detach
+# uhid* Generic HID devices
+# ugen* Generic device
+# ulpt* Printer devices
+# urio* Diamond Multimedia Rio 500
+# utty* Serial ports
+# uscanner* Scanners
+# Special purpose devices:
+# audio* audio device
+# apm power management device
+# bpf* Berkeley Packet Filter
+# tun* network tunnel driver
+# lkm loadable kernel modules interface
+# *random inkernel random data source
+# uk* SCSI Unknown device
+# ss* SCSI scanners
+# xfs* XFS filesystem devices
+# iop* I2O controller device
+# pf* Packet Filter
+# crypto hardware crypto access driver
+# usbs make USB devices
+# pci PCI bus device
+# systrace* system call tracing device
+# bktr* video capturing
+# tuner* tuner device
+# radio* FM tuner device
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+T=$0
+
+# set this to echo for Echo-Only debugging
+[ "$eo" ] || eo=
+
+hex()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ 10) echo -n a;;
+ 11) echo -n b;;
+ 12) echo -n c;;
+ 13) echo -n d;;
+ 14) echo -n e;;
+ 15) echo -n f;;
+ esac
+}
+
+h2d()
+{
+ local s="$1"
+ local f=${s%*[0-9a-f]} n=${s#[0-9a-f]*}
+
+ echo $(($(_h2d $f)*16+ $(_h2d $n) ))
+}
+
+_h2d()
+{
+ case $1 in
+ [0-9]) echo -n $1;;
+ a) echo -n 10;;
+ b) echo -n 11;;
+ c) echo -n 12;;
+ d) echo -n 13;;
+ e) echo -n 14;;
+ f) echo -n 15;;
+ esac
+}
+
+unt()
+{
+ # XXX pdksh can't seem to deal with locally scoped variables
+ # in ${foo#$bar} expansions
+ arg="$1"
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ while [ "$tmp" != "$arg" ]
+ do
+ arg=$tmp
+ tmp="${arg#[a-zA-Z]*}"
+ tmp="${tmp%*[a-zA-Z]}"
+ done
+ echo $arg
+}
+
+dodisk()
+{
+ [ "$DEBUG" ] && set -x
+ n=$(($((${5}*${7:-16}))+${6})) count=0
+ RMlist="$RMlist $1$2? r$1$2?"
+ [ 0$7 -ne 8 ] && l="i j k l m n o p"
+ for d in a b c d e f g h $l
+ do
+ M $1$2$d b $3 $(($n+$count)) 640
+ M r$1$2$d c $4 $(($n+$count)) 640
+ let count=count+1
+ done
+ MKlist="$MKlist;chown root:operator $1$2? r$1$2?"
+}
+
+dodisk2()
+{
+ n=$(($(($5*${7:-16}))+$6))
+ M $1$2a b $3 $n 640 operator
+ M r$1$2a c $4 $n 640 operator
+ n=$(($n+2))
+ M $1$2c b $3 $n 640 operator
+ M r$1$2c c $4 $n 640 operator
+}
+
+# M name b/c major minor [mode] [group]
+RMlist="rm -f"
+MKlist=":"
+
+mkl() {
+ [ "${mklist[$1]}" ] && {
+ mklist[$1]="${mklist[$1]};mknod -m $1 $2 $3 $4 $5"
+ } || {
+ mklist[$1]="mknod -m $1 $2 $3 $4 $5"
+ modes="$modes $1"
+ }
+}
+
+M() {
+ RMlist="$RMlist $1"
+ mkl ${5-666} $1 $2 $3 $4
+ mklist="$mklist $1"
+ G=${6:-wheel}
+ [ "$7" ] && {
+ MKlist="$MKlist;chown $7:$G $1"
+ } || {
+ case $G in
+ wheel)g=0;;kmem)g=2;;operator)g=5;;tty)g=4;;dialer)g=117;;_lkm)g=61;;
+ esac
+ [ "${grplist[$g]}" ] && {
+ grplist[$g]="${grplist[$g]} $1"
+ } || {
+ groups="$groups $g"
+ grplist[$g]="chgrp $G $1"
+ }
+ }
+ return 0
+}
+
+R() {
+[ "$DEBUG" ] && set -x
+for i in "$@"
+do
+U=`unt $i`
+[ "$U" ] || U=0
+
+case $i in
+std)
+ M console c 0 0 600
+ M tty c 1 0
+ M mem c 2 0 640 kmem
+ M kmem c 2 1 640 kmem
+ M null c 2 2
+ M zero c 2 12
+ M stdin c 21 0
+ M stdout c 21 1
+ M stderr c 21 2
+ M ksyms c 43 0 640 kmem
+ M drum c 3 0 640 kmem
+ M klog c 6 0 600
+ M xf86 c 2 4 600
+ M reload c 2 20 640 kmem
+ ;;
+
+ttyE*)
+ type=E
+ case $type in
+ E) major=25; minor=$unit ;;
+ esac
+ M tty$type$unit c $major $minor 660
+ ;;
+
+radio*)
+ M radio$U c 76 $U
+ MKlist="$MKlist;[ -e radio ] || ln -s radio$U radio"
+ ;;
+
+tuner*)
+ M tuner$U c 75 $(($(($U*2))+16)) 644
+ ;;
+
+bktr*)
+ M bktr$U c 75 $U 644
+ ;;
+
+systrace)
+ M systrace c 50 0 644
+ ;;
+
+pci)
+ M pci c 71 0 600
+ ;;
+
+usbs)
+ R utty0 utty1 ugen0 ugen1 ulpt0 ulpt1 uhid0 uhid1 uhid2 uhid3
+ R uscanner0 urio0 usb0 usb1
+ ;;
+
+crypto)
+ M crypto c 47 0
+ ;;
+
+pf*)
+ M pf c 39 0 600
+ ;;
+
+iop*)
+ M iop$U c 73 $U 660
+ ;;
+
+xfs*)
+ M xfs$U c 51 $U 600
+ ;;
+
+ss*)
+ M ss$U c 42 $(($U*16)) 640 operator
+ M nss$U c 42 $(($(($U*16))+1)) 640 operator
+ M enss$U c 42 $(($(($U*16))+3)) 640 operator
+ RMlist="$RMlist scan$U"
+ MKlist="$MKlist;umask 77;ln -s ss$U scan$U"
+ ;;
+
+uk*)
+ M uk$U c 41 $U 640 operator
+ ;;
+
+*random)
+ n=0
+ for pre in " " s u p a
+ do
+ M ${pre}random c 40 $n 644
+ n=$(($n+1))
+ done
+ ;;
+
+lkm)
+ M lkm c 24 0 640 _lkm
+ ;;
+
+tun*)
+ M tun$U c 23 $U 600
+ ;;
+
+bpf*)
+ M bpf$U c 22 $U 600
+ ;;
+
+apm*)
+ M apm c 25 0 644
+ M apmctl c 25 8 644
+ ;;
+
+audio*)
+ M sound$U c 44 $U
+ M mixer$U c 44 $(($U+16))
+ M audio$U c 44 $(($U+128))
+ M audioctl$U c 44 $(($U+192))
+ MKlist="$MKlist;[ -e audio ] || ln -s audio$U audio"
+ MKlist="$MKlist;[ -e mixer ] || ln -s mixer$U mixer"
+ MKlist="$MKlist;[ -e sound ] || ln -s sound$U sound"
+ MKlist="$MKlist;[ -e audioctl ] || ln -s audioctl$U audioctl"
+ ;;
+
+uscanner*)
+ M uscanner$U c 74 $U 660
+ ;;
+
+utty*)
+ M utty$U c 66 $U 660
+ ;;
+
+urio*)
+ M urio$U c 65 $U 660
+ ;;
+
+ulpt*)
+ M ulpt$U c 64 $U 660
+ ;;
+
+ugen*)
+ n=$(($U*16))
+ for j in 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15
+ do
+ M ugen$U.$j c 63 $(($n+$j)) 660
+ done
+ ;;
+
+uhid*)
+ M uhid$U c 62 $U 660
+ ;;
+
+usb*)
+ [ "$i" = "usb" ] && u= || u=$U
+ M usb$u c 61 $U 660
+ ;;
+
+pty*)
+ if [ $U -gt 15 ]; then
+ echo bad unit for pty in: $i
+ continue
+ fi
+ set -A tbl p q r s t u v w x y z P Q R S T
+ name=${tbl[$U]}
+ n=0
+ while [ $n -lt 16 ]
+ do
+ nam=$name$(hex $n)
+ off=$(($U*16))
+ M tty$nam c 4 $(($off+$n))
+ M pty$nam c 5 $(($off+$n))
+ n=$(($n+1))
+ done
+ ;;
+
+tty[0-7][0-9a-f])
+ U=${i#tty*}
+ o=$(h2d $U)
+ M tty$U c 7 $o 660 dialer uucp
+ M cua$U c 7 $(($o+128)) 660 dialer uucp
+ ;;
+
+wsmux|wsmouse|wskbd)
+ M wsmouse c 70 0 600
+ M wskbd c 70 1 600
+ ;;
+
+wsmouse*)
+ M wsmouse$U c 69 $U 600
+ ;;
+
+wskbd*)
+ M wskbd$U c 68 $U 600
+ ;;
+
+tty[C-F]*)
+ U=${i##tty[C-F]}
+ case $i in
+ ttyC*) n=C m=0;;
+ ttyD*) n=D m=256;;
+ ttyE*) n=E m=512;;
+ ttyF*) n=F m=768;;
+ esac
+ case $U in
+ [0-9a-f]) M tty$n$U c 67 $(( 16#$U + $m )) 600;;
+ cfg) M tty${n}cfg c 67 $((255+$m)) 600;;
+ *) echo bad unit $U for $i; exit 1;;
+ esac
+ ;;
+
+wscons)
+ R wsmouse0 wsmouse1 wsmouse2 wsmouse3 wskbd0 wskbd1 wskbd2
+ R wskbd3 wsmux ttyCcfg ttyC0 ttyC1 ttyC2 ttyC3 ttyC4 ttyC5
+ R ttyC6 ttyC7 ttyC8 ttyC9 ttyCa ttyCb
+ ;;
+
+rd*)
+ dodisk2 rd $U 17 17 $U 0
+ ;;
+
+vnd*)
+ dodisk vnd $U 14 19 $U 0
+ dodisk svnd $U 14 19 $U 2048
+ ;;
+
+ch*)
+ M ch$U c 10 $U 660 operator
+ ;;
+
+cd*)
+ dodisk2 cd $U 3 9 $U 0
+ ;;
+
+st*)
+ n=$(($U*16))
+ for pre in " " n e en
+ do
+ M ${pre}st$U b 5 $n 660 operator
+ M ${pre}rst$U c 20 $n 660 operator
+ n=$(($n+1))
+ done
+ ;;
+
+ramdisk)
+ R pty0 ttyE0 rd0 cd0 cd1 st0 st1 wd0 wd1 wd2 wd3 wd4 sd0 sd1
+ R sd2 sd3 sd4 bpf0 std
+ ;;
+
+local)
+ test -s $T.local && sh $T.local
+ ;;
+
+fd)
+ RMlist="mkdir -p fd;$RMlist" n=0
+ while [ $n -lt 64 ];do M fd/$n c 21 $n;n=$(($n+1));done
+ MKlist="$MKlist;chmod 555 fd"
+ ;;
+
+all)
+ R ccd0 ccd1 ccd2 ccd3 vnd0 vnd1 vnd2 vnd3 sd0 sd1 sd2 sd3 sd4
+ R cd0 cd1 rd0 tun0 tun1 tun2 tun3 bpf0 bpf1 bpf2 bpf3 bpf4
+ R bpf5 bpf6 bpf7 bpf8 bpf9 pty0 pty1 pty2 xfs0 ss0 ss1 ch0
+ R local wscons pci iop0 iop1 usbs tuner0 radio0 audio0 uk0
+ R random lkm tty00 tty01 tty02 tty03 apm crypto pf systrace
+ R wd0 wd1 wd2 wd3 raid0 raid1 raid2 raid3 std st0 st1 fd
+ ;;
+
+wd*|sd*|raid*|ccd*)
+ case $i in
+ wd*) dodisk wd $U 0 11 $U 0;;
+ sd*) dodisk sd $U 2 8 $U 0;;
+ raid*) dodisk raid $U 19 54 $U 0;;
+ ccd*) dodisk ccd $U 16 18 $U 0;;
+ esac
+ ;;
+
+*)
+ echo $i: unknown device
+ ;;
+esac
+done
+}
+R "$@"
+if [ "$os" = "SunOS" ]; then
+ eo=transform
+ transform() {
+ case $mode in
+ 600) mask=077;;
+ 640) mask=027;;
+ 660) mask=007;;
+ 644) mask=022;;
+ 666) mask=0;;
+ 440) mask=227;;
+ esac
+ echo `echo "$@"|sed \
+ 's/mknod -m \([0-9]*\) /umask '$mask';mknod /;s/-m [0-9]* //g;\
+ s/operator/5/g;s/root.kmem/root.2/g;s/root\./root:/g'`
+ }
+fi
+list="$RMlist"
+for mode in $modes; do
+ list="$list;${mklist[$mode]}"
+done
+for group in $groups; do
+ list="$list;${grplist[$group]}"
+done
+list="$list;$MKlist"
+if [ "$eo" = "echo" -o "$eo" = "transform" ]; then
+ $eo "$list"
+else
+ echo "$list" | sh
+fi